Bug 593289

Summary: [abrt] crash in gedit-1:2.30.2-1.fc13: dialog.py:129:run:TypeError: Gtk.Entry.set_text() argument 1 must be string, not list
Product: [Fedora] Fedora Reporter: Fabian Stanke <fabian>
Component: geditAssignee: Ray Strode [halfline] <rstrode>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 13CC: rstrode
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard: abrt_hash:3054f68b
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-06-27 12:27:35 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
File: backtrace none

Description Fabian Stanke 2010-05-18 08:50:58 EDT
abrt 1.1.0 detected a crash.

architecture: x86_64
cmdline: gedit /home/fabian/Dokumente/Documents/BeamVerification/doc/content.tex
comment: Trying to add a new tool to gedit-plugin results in a crash (but doesn't kill gedit).
component: gedit
executable: /usr/lib64/gedit-2/plugins
kernel: 2.6.33.3-85.fc13.x86_64
package: gedit-1:2.30.2-1.fc13
reason: dialog.py:129:run:TypeError: Gtk.Entry.set_text() argument 1 must be string, not list
release: Fedora release 13 (Goddard)

backtrace
-----
dialog.py:129:run:TypeError: Gtk.Entry.set_text() argument 1 must be string, not list

Traceback (most recent call last):
  File "/usr/lib64/gedit-2/plugins/GeditLaTeXPlugin/src/preferences/dialog.py", line 697, in _on_new_tool_clicked
    if not dialog.run(tool) is None:
  File "/usr/lib64/gedit-2/plugins/GeditLaTeXPlugin/src/preferences/dialog.py", line 129, in run
    self._entry_accel.set_text(tool.accelerator)
TypeError: Gtk.Entry.set_text() argument 1 must be string, not list

Local variables in innermost frame:
tool: <GeditLaTeXPlugin.src.tools.Tool object at 0x44b1d50>
self: <GeditLaTeXPlugin.src.preferences.dialog.ConfigureToolDialog object at 0x44b14d0>
dialog: <gtk.Dialog object at 0x447a230 (GtkDialog at 0x2510de0)>

How to reproduce
-----
1. Start gedit in LaTeX mode with the gedit-latex plugin (by opening a tex file)
2. Select "Edit" - "Settings"
3. Choose "Plugins" and select "LaTeX Plugin" from the list
4. Click on "Configure plugin"
5. Choose "Tools"
6. Click "New"
Comment 1 Fabian Stanke 2010-05-18 08:51:02 EDT
Created attachment 414840 [details]
File: backtrace
Comment 2 Bug Zapper 2011-06-02 09:52:19 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2011-06-27 12:27:35 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.